## qmlog 0.10-maemo0

=== examples/Makefile ===
#############################################################################
# Makefile for building: examples
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Sep 8 18:42:30 2012
# Project:  examples.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -o Makefile examples.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-application

application/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/examples/application/application.pro -o $(MAKEFILE)
sub-application-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) application/ || $(MKDIR) application/ 
	cd application/ && $(QMAKE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/examples/application/application.pro -o $(MAKEFILE)
sub-application: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE)
sub-application-make_default: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) 
sub-application-make_first: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) first
sub-application-all: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) all
sub-application-clean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) clean
sub-application-distclean: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) distclean
sub-application-install_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) install
sub-application-uninstall_subtargets: application/$(MAKEFILE) FORCE
	cd application/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: examples.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile examples.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile examples.pro

qmake_all: sub-application-qmake_all FORCE

make_default: sub-application-make_default FORCE
make_first: sub-application-make_first FORCE
all: sub-application-all FORCE
clean: sub-application-clean FORCE
distclean: sub-application-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-application-install_subtargets FORCE
uninstall_subtargets: sub-application-uninstall_subtargets FORCE

sub-application-check: application/$(MAKEFILE)
	cd application/ && $(MAKE) check
check: sub-application-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: libqmlog.so.0.0.10-maemo0
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Sep 8 18:40:21 2012
# Project:  src.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -Wall -Werror -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared -Wl,-soname,libqmlog.so.0
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtCore -L/usr/lib -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = api2.cpp 
OBJECTS       = api2.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qmlog
DESTDIR       = 
TARGET        = libqmlog.so.0.0.10-maemo0
TARGETA       = libqmlog.a
TARGETD       = libqmlog.so.0.0.10-maemo0
TARGET0       = libqmlog.so
TARGET1       = libqmlog.so.0
TARGET2       = libqmlog.so.0.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile src.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qmlog0.0.10-maemo0 || $(MKDIR) .tmp/qmlog0.0.10-maemo0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qmlog0.0.10-maemo0/ && $(COPY_FILE) --parents api2.cpp .tmp/qmlog0.0.10-maemo0/ && (cd `dirname .tmp/qmlog0.0.10-maemo0` && $(TAR) qmlog0.0.10-maemo0.tar qmlog0.0.10-maemo0 && $(COMPRESS) qmlog0.0.10-maemo0.tar) && $(MOVE) `dirname .tmp/qmlog0.0.10-maemo0`/qmlog0.0.10-maemo0.tar.gz . && $(DEL_FILE) -r .tmp/qmlog0.0.10-maemo0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

api2.o: api2.cpp api2.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o api2.o api2.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/ 


install_usr_include: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/src/qmlog $(INSTALL_ROOT)/usr/include/


uninstall_usr_include:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/qmlog
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/ 


install_usr_include_libqmlog: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/libqmlog/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/libqmlog/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/src/api2.h $(INSTALL_ROOT)/usr/include/libqmlog/


uninstall_usr_include_libqmlog:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/libqmlog/api2.h
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/libqmlog/ 


install_prf: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/src/qmlog.prf $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/


uninstall_prf:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/qmlog.prf
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qt4/mkspecs/features/ 


install_old_header: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/include/qm/ || $(MKDIR) $(INSTALL_ROOT)/usr/include/qm/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/src/log $(INSTALL_ROOT)/usr/include/qm/


uninstall_old_header:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/include/qm/log
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/include/qm/ 


install:  install_target install_usr_include install_usr_include_libqmlog install_prf install_old_header  FORCE

uninstall: uninstall_target uninstall_usr_include uninstall_usr_include_libqmlog uninstall_prf uninstall_old_header   FORCE

FORCE:

=== examples/application/Makefile ===
#############################################################################
# Makefile for building: qmlog-example
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Sep 8 18:42:30 2012
# Project:  application.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -o Makefile application.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -Wall -Werror -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I../../src -I../.. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L../../src -L/usr/lib -lqmlog -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qmlog-example.cpp 
OBJECTS       = qmlog-example.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		application.pro
QMAKE_TARGET  = qmlog-example
DESTDIR       = 
TARGET        = qmlog-example

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: application.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile application.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile application.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/qmlog-example1.0.0 || $(MKDIR) .tmp/qmlog-example1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qmlog-example1.0.0/ && $(COPY_FILE) --parents qmlog-example.cpp .tmp/qmlog-example1.0.0/ && (cd `dirname .tmp/qmlog-example1.0.0` && $(TAR) qmlog-example1.0.0.tar qmlog-example1.0.0 && $(COMPRESS) qmlog-example1.0.0.tar) && $(MOVE) `dirname .tmp/qmlog-example1.0.0`/qmlog-example1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/qmlog-example1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

qmlog-example.o: qmlog-example.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmlog-example.o qmlog-example.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_tests: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/qmlog-tests/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/qmlog-tests/ 
	-$(INSTALL_FILE) /home/marcin/meecolay/libs/libqmlog/meego-middleware-qmlog/examples/application/tests.xml $(INSTALL_ROOT)/usr/share/qmlog-tests/


uninstall_tests:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/qmlog-tests/tests.xml
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/qmlog-tests/ 


install:  install_target install_tests  FORCE

uninstall: uninstall_target uninstall_tests   FORCE

FORCE:

=== debian/changelog ===
qmlog (0.10-maemo0) unstable; urgency=low
  * Initial port for Fremantle
 -- Marcin Mielniczuk <marmistrz@linux.pl>  Sat,  8 Sep 2012 18:39:07 +0200

qmlog (0.10) unstable; urgency=low

  * take library version from changelog
  * using qmake-qt4 explicitly
  * more flexible file opening/closing
  * library versioned dependency information added

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Thu, 17 Feb 2011 13:54:47 +0200

qmlog (0.0.9) unstable; urgency=low

  * removed memory leaks
  * Fixes: NB#202297 - memory leaks
  * Fixes: NB#203298 - memory leaks
  * Fixes: NB#202849 - qmlog needs to be improved

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Wed, 10 Nov 2010 07:37:59 +0200

qmlog (0.0.8) unstable; urgency=low

  * Added destructors

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Wed, 03 Nov 2010 22:10:10 +0200

qmlog (0.0.7) unstable; urgency=low

  * usging new API (api2.*)
  * Fixes: NB#187227

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Sun, 31 Oct 2010 23:48:53 +0200

qmlog (0.0.6) unstable; urgency=low

  * Fixes: NB#199057 - tests.xml missing in qmlog-tests package

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Tue, 19 Oct 2010 14:02:27 +0300

qmlog (0.0.5) unstable; urgency=low

  * copyright files
  * meego+gitorious

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Fri, 20 Aug 2010 16:27:29 +0300

qmlog (0.0.4) unstable; urgency=low

  * Fixes: NB#184518 - libqmlog0 forces everything using them to link Qt UI and X libraries

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Tue, 10 Aug 2010 14:15:23 +0300

qmlog (0.0.3) unstable; urgency=low

  * Fixes: NB#179497 - clock crashes when tap on back from alarm view

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Mon, 12 Jul 2010 16:45:36 +0300

qmlog (0.0.2) unstable; urgency=low

  * prining abbreviation
  * prining /etc/localtime symlink

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Tue, 15 Jun 2010 19:54:58 +0300

qmlog (0.0.1) unstable; urgency=low

  * first version, just the stuff taken from timed
  * API is pretty trivial

 -- Ilya Dogolazky <ilya.dogolazky@nokia.com>  Tue, 01 Jun 2010 13:36:00 +0300

=== debian/control ===
Source: qmlog
Section: misc
Priority: optional
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Ilya Dogolazky <ilya.dogolazky@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 libqt4-dev (>= 4.5)
Standards-Version: 3.7.2

Package: libqmlog0
Architecture: any
Depends: ${shlibs:Depends}
Description: generic logging library
 This package provides a library for writing log

Package: libqmlog0-dbg
Architecture: any
Depends: libqmlog0 (= ${binary:Version})
Description: debug symbols for libqmlog0
 This package contains debug information for libqmlog0

Package: libqmlog-dev
Architecture: any
Depends: libqmlog0 (= ${binary:Version}), libqt4-dev (>= 4.5)
Description: development package for libqmlog
 Provides header files for qmlog library

Package: qmlog-tests
Architecture: any
Depends: ${shlibs:Depends}, ci-testing
XB-Maemo-CI-Packages: libqmlog0
XB-Maemo-CI-Stage: fast, staging, acceptance, validation
Section: tests
Description: testcases for qmlog library

Package: qmlog-tests-dbg
Architecture: any
Depends: qmlog-tests (= ${binary:Version})
Description: debug symbols for qmlog testcases

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export QMLOG_VERSION=$(shell head -n1 debian/changelog | sed "s/.*(\([^)+]*\).*/\1/")

configure: configure-stamp
configure-stamp:
	dh_testdir
	# nothing yet
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	qmake -recursive && make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	( if [ -f Makefile ] ; then $(MAKE) clean ; fi )
	rm -f Makefile
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp install

binary: binary-indep binary-arch

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_strip -v --package=libqmlog0    --dbg-package=libqmlog0-dbg
	dh_strip -v --package=qmlog-tests  --dbg-package=qmlog-tests-dbg
# dh_installmenu
# dh_installdebconf
# dh_installlogrotate
# dh_installemacsen
# dh_installpam
# dh_installmime
# dh_python
# dh_installinit
# dh_installcron
# dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
# dh_perl
	dh_makeshlibs --package=libqmlog0 -V 'libqmlog0 (>= 0.10)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary install configure
